var sodium = require('sodium').api;
var UUID = require("uuidjs");
var uuid = UUID.generate();

function genUUID() {
  var objV4 = UUID.genV4();
  var byteUUID = stringToArray(objV4);
  return byteUUID;
}



function generateKey (len) {
  var key = Buffer.allocUnsafe(len);
  sodium.randombytes_buf(key, len);
  return key
}

var message = Buffer.from(genUUID())
var key1 = generateKey(sodium.crypto_generichash_KEYBYTES);
var hash1 = sodium.crypto_generichash(sodium.crypto_generichash_BYTES, message, key1);
console.log('crypto_generichash:', hash1.toString('base64'));


;
